FROM ubuntu

RUN apt-get update
RUN apt-get install -y make
RUN apt-get install -y git
RUN apt-get -y install \
  autoconf \
  automake \
  build-essential \
  cmake \
  git-core \
  libass-dev \
  libfreetype6-dev \
  libsdl2-dev \
  libtool \
  libva-dev \
  libvdpau-dev \
  libvorbis-dev \
  libxcb1-dev \
  libxcb-shm0-dev \
  libxcb-xfixes0-dev \
  pkg-config \
  texinfo \
  wget \
  zlib1g-dev
RUN apt-get install -y libavcodec-dev
RUN apt-get install -y libavformat-dev
RUN apt-get install -y libavutil-dev
RUN apt-get install -y libavfilter-dev
RUN apt-get install -y libavdevice-dev
RUN apt-get install -y libswresample-dev
RUN apt-get install -y libswscale-dev
RUN apt-get install -y nasm
RUN apt-get install -y yasm
RUN git clone https://git.ffmpeg.org/ffmpeg.git ffmpeg
RUN cd ffmpeg
RUN apt-get install ffmpeg
RUN hash -r
